Subject: [IPP] Apple has reviewed the IPP FaxOut specification and has comments

From: Michael Sweet <[email-masked]>
Date: Thu, 27 Jun 2013 08:12:14 -0400

Follow-up comments based on the feedback we have gotten so far:

Section 8.2 does not mention that the 'fax-modem-xxx' keywords are defined in PWG 5107.3.

Section 8.2 does not define the equivalent of the 'connecting-to-defice' value from "printer-state-reasons". Should we define keyword(s) to describe this and/or the following intermediate states: Dialing, Answered, Training, and Connected?

Section 12.2 should not re-register PWG 5107.3 keyword values for "job-state-reasons".

Section 13.1 is missing a reference to PWG 5107.3.

_________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: "Manchala, Daniel" <[email-masked]>
Date: Fri, 28 Jun 2013 00:58:35 +0000

Mike,

Yes, one of the states we would like to have is 'fax-out-modem-dialing' or 'fax-modem-dialing'.

Thanks,
Daniel.

From: [email-masked] [mailto:[email-masked]] On Behalf Of Michael Sweet
Sent: Thursday, June 27, 2013 5:12 AM
To: [email-masked]
Subject: [IPP] Apple has reviewed the IPP FaxOut specification and has comments

--
This message has been scanned for viruses and
dangerous content by MailScanner<http://www.mailscanner.info/>, and is
believed to be clean.

---

From: Michael Sweet <[email-masked]>
Date: Fri, 28 Jun 2013 08:47:47 -0400

Additional comments after review of the latest SM 2.0 document:

Section 7.1.1: Add the following paragraph:

    "Note: The Semantic Model defines a single InputSource element, which does not capture all of the necessary input intent. IPP FaxOut instead maps elements from the CopyInTicket group to do so." [I wanted to add something about SM 2.0 adopting this approach, but we usually avoid prognostication in our specs...]

Section 7.3: Add input-attributes-actual (1setOf collection), with reference to 7.1.1 for the member attributes. This provides a receipt of hardcopy input-attributes values. CONDITIONALLY REQUIRED for printers with scan capabilities.

Section 7: Add new 7.x Document Description Attributes, 7.x.1 with input-attributes-actual (collection), with reference to 7.1.1 for the member attributes. This provides a per-document receipt of hardcopy input-attributes values. CONDITIONALLY REQUIRED for printers with scan capabilities and support for the document object.

Section 9.2: Add input-attributes-actual job description attribute to list for scan-capable printers, add a new scan + document object paragraph for input-attributes-actual document description attribute.

Section 12.1: Add input-attributes-actual job description and document description attributes.

Section 13.1: Add reference to 5100.5 (document object) and 5108.04 (copy service)

---

From: Michael Sweet <[email-masked]>
Date: Fri, 28 Jun 2013 09:04:06 -0400

Still more:

Section 7.4.3: The required list of cover-sheet-info member attributes was not updated to use the new names "from-name" and "to-name".

---

From: Ira McDonald <[email-masked]>
Date: Fri, 28 Jun 2013 13:19:30 -0400

Hi Daniel,

Perhaps we should add "fax-modem-dialing" as a state reason (for the
Service and the FaxModem subunit) - but it's a very short-lived state
to be capturing in printer-state-reasons.

It's similar to the original IPP/1.1 (RFC 2911) "connecting-to-device",
but that one's only intended for passing a whole Job to the output-device,
not just the Job data (i.e, the FaxOut document content).

BTW - I think we should NOT add "fax-modem-training", because it's
a *very* short-lived state.

Mike - we'll have to register this (and any other) new Printer MIB Alerts
w/ IANA for the Printer MIB TC (as well as in the IPP Registry).

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG IPP WG
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - TCG Embedded Systems Hardcopy SG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music/High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto:[email-masked]
Winter  579 Park Place  Saline, MI  48176  734-944-0094
Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434

On Thu, Jun 27, 2013 at 8:58 PM, Manchala, Daniel <[email-masked]
> wrote:

>  Mike,****
>
> ** **
>
> Yes, one of the states we would like to have is ‘fax-out-modem-dialing’ or
> ‘fax-modem-dialing’.****
>
> ** **
>
> Thanks,****
>
> Daniel.****
>
> ** **
>
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf Of *Michael
> Sweet
> *Sent:* Thursday, June 27, 2013 5:12 AM
> *To:* [email-masked]
> *Subject:* [IPP] Apple has reviewed the IPP FaxOut specification and has
> comments****
>
> ** **
>
> Follow-up comments based on the feedback we have gotten so far:****
>
> ** **
>
> Section 8.2 does not mention that the 'fax-modem-xxx' keywords are defined
> in PWG 5107.3.****
>
> ** **
>
> Section 8.2 does not define the equivalent of the 'connecting-to-defice'
> value from "printer-state-reasons". Should we define keyword(s) to
> describe this and/or the following intermediate states: Dialing, Answered,
> Training, and Connected?****
>
> ** **
>
> Section 12.2 should not re-register PWG 5107.3 keyword values for
> "job-state-reasons".****
>
> ** **
>
> Section 13.1 is missing a reference to PWG 5107.3.****
>
> ** **
>
> _________________________________________________________****
>
> Michael Sweet, Senior Printing System Engineer, PWG Chair****
>
> ** **
>
>
> --
> dangerous content by *MailScanner* <http://www.mailscanner.info/>, and is
> believed to be clean. ****
>
> --
> dangerous content by *MailScanner* <http://www.mailscanner.info/>, and is
> believed to be clean.
>

---

From: Michael Sweet <[email-masked]>
Date: Fri, 28 Jun 2013 14:07:27 -0400

Ira,

Short-lived or not, capturing those states (and eventually, fax-modem-ringing for FaxIn?) allows us to report events/traps that clients can use to present/update UI.

On 2013-06-28, at 1:19 PM, Ira McDonald <[email-masked]> wrote:

> On Thu, Jun 27, 2013 at 8:58 PM, Manchala, Daniel <[email-masked]> wrote:
> Mike,
> 
>  
> 
> Yes, one of the states we would like to have is ‘fax-out-modem-dialing’ or ‘fax-modem-dialing’.
> 
>  
> 
> Thanks,
> 
> Daniel.
> 
>  
>